package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.yacotools;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Author xy6er
 * Date 19.07.14
 */
public class YacobotResponse {

    @JsonProperty("errorcode")
    private Integer errorCode;

    @JsonProperty("errortext")
    private String errorText;

    //Нужен для JsonMapping
    public YacobotResponse() {
    }

    public YacobotResponse(Integer errorCode, String errorText) {
        this.errorCode = errorCode;
        this.errorText = errorText;
    }

    public Integer getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(Integer errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorText() {
        return errorText;
    }

    public void setErrorText(String errorText) {
        this.errorText = errorText;
    }

}
